# Source code for azure.mgmt.servicebus.models.nw_rule_set_virtual_network_rules_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class NWRuleSetVirtualNetworkRules(Model):
        """Description of VirtualNetworkRules - NetworkRules resource.

        :param subnet: Subnet properties
        :type subnet: ~azure.mgmt.servicebus.models.Subnet
        :param ignore_missing_vnet_service_endpoint: Value that indicates whether
         to ignore missing VNet Service Endpoint
        :type ignore_missing_vnet_service_endpoint: bool
        """

        _attribute_map = {
            'subnet': {'key': 'subnet', 'type': 'Subnet'},
            'ignore_missing_vnet_service_endpoint': {'key': 'ignoreMissingVnetServiceEndpoint', 'type': 'bool'},
        }

        def __init__(self, *, subnet=None, ignore_missing_vnet_service_endpoint: bool=None, **kwargs) -> None:
            super(NWRuleSetVirtualNetworkRules, self).__init__(**kwargs)
            self.subnet = subnet
            self.ignore_missing_vnet_service_endpoint = ignore_missing_vnet_service_endpoint